summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2010-09-22 15:05:48 (GMT)
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2010-09-22 15:05:48 (GMT)
commit6c919e320abc36289a81336651cb7ed12af7ea19 (patch)
tree3d5fb0e9f4f4295886cb29c4232c4f350cead0d3
parent0c79dc0089e2783e6f5e9ee5c28556e2b5f8b87c (diff)
downloadtelepathy-haze-6c919e320abc36289a81336651cb7ed12af7ea19.tar.gz
telepathy-haze-6c919e320abc36289a81336651cb7ed12af7ea19.tar.xz
Make libpurple 2.7 mandatory (but still allow disabling media calls)
Backported from master, now that Maemo 5 has libpurple 2.7.
-rw-r--r--configure.ac6
1 files changed, 3 insertions, 3 deletions
diff --git a/configure.ac b/configure.ac
index d4b2885..1c69a51 100644
--- a/configure.ac
+++ b/configure.ac
@@ -71,7 +71,7 @@ AC_ARG_ENABLE(leaky-request-stubs,
AC_DEFINE(ENABLE_LEAKY_REQUEST_STUBS, [], [Enable the leaky stub implementation of the request API for debugging purposes]))
AC_SUBST(ENABLE_LEAKY_REQUEST_STUBS)
-PKG_CHECK_MODULES(PURPLE,[purple >= 2.6])
+PKG_CHECK_MODULES(PURPLE,[purple >= 2.7])
PKG_CHECK_MODULES(TP_GLIB,[telepathy-glib >= 0.8.1])
PKG_CHECK_MODULES(GLIB,[glib-2.0 >= 2.20, gobject-2.0])
PKG_CHECK_MODULES(DBUS_GLIB,[dbus-glib-1 >= 0.73])
@@ -132,14 +132,14 @@ AC_MSG_RESULT([$TEST_PYTHON])
AC_SUBST(TEST_PYTHON)
AM_CONDITIONAL([WANT_TWISTED_TESTS], test false != "$TEST_PYTHON")
-AC_MSG_CHECKING([for libpurple >= 2.7.0 (media support)])
+AC_MSG_CHECKING([for audio/video calling support])
AC_ARG_ENABLE(media,
AC_HELP_STRING([--disable-media],[disable audio/video calls]),
[
AC_MSG_RESULT([disabled])
AM_CONDITIONAL([MEDIA_ENABLED], false)
],[
- PKG_CHECK_EXISTS([purple >= 2.7.0, glib-2.0 >= 2.22],
+ PKG_CHECK_EXISTS([glib-2.0 >= 2.22],
[
AC_MSG_RESULT([yes])
AC_DEFINE(ENABLE_MEDIA, [], [Enable audio/video calls])